/**
 * @file Do Drupal admin settings form behaviors
 */

Drupal.Do = Drupal.Do || {};

// based on http://www.openjs.com/scripts/events/keyboard_shortcuts/
Drupal.Do.specialKeys = {'esc':27,'tab':9,'space':32,'return':13,'enter':13,'backspace':8,'scrolllock':145,'scroll_lock':145,'scroll':145,'capslock':20,'caps_lock':20,'caps':20,'numlock':144,'num_lock':144,'num':144,'pause':19,'break':19,'insert':45,'home':36,'delete':46,'end':35,'pageup':33,'page_up':33,'pu':33,
'pagedown':34,'page_down':34,'pd':34,'left':37,'up':38,'right':39,'down':40,'f1':112,'f2':113,'f3':114,'f4':115,'f5':116,'f6':117,'f7':118,'f8':119,'f9':120,'f10':121,'f11':122,'f12':123
};

//Drupal.Do.shiftNums = {"`":"~","1":"!","2":"@","3":"#","4":"$","5":"%","6":"^","7":"&","8":"*","9":"(","0":")","-":"_","=":"+",";":":","'":"\"",",":"<",".":">","/":"?","\\":"|"};

Drupal.behaviors.do_admin = function(context) {
  var $input = $('#edit-do-trigger', context),
      val = $input.val();

  $input.val(Drupal.Do.asciiToString(val)).bind('keyup', function(e) {
    var code = e.keyCode ? e.keyCode : e.which;
    $input.val(Drupal.Do.asciiToString(code));
  });
};

Drupal.Do.asciiToString = function(ascii) {
  for (key in Drupal.Do.specialKeys) {
    if (Drupal.Do.specialKeys[key] == ascii) {
      return key;
    }
  }
  return String.fromCharCode(ascii).toLowerCase();
};

//Drupal.Do.stringToAscii = function(string) {
//  return (string.length === 1) ? string.charCodeAt(0) : Drupal.Do.specialKeys[string];
//};